Bug 1254899 - [abrt] blivet-gui: ValueError: new size will not yield an aligned partition Traceback (most recent call last): File "/usr/lib/python3.4/site-packages/blivetgui/communication/server.py", line 340, in _call_utils_method ret = utils_method(*args) ...
[abrt] blivet-gui: ValueError: new size will not yield an aligned partition T...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e9c41be20b9dec2fa5cdd75454e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 04:10 EDT by Vojtech Trefny
Modified: 2015-09-07 12:35 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.12.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-07 12:35:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.35 KB, text/plain)
2015-08-19 04:10 EDT, Vojtech Trefny
no flags Details
File: blivet-gui-com.log (169.58 KB, text/plain)
2015-08-19 04:10 EDT, Vojtech Trefny
no flags Details
File: blivet-gui-tb (535.93 KB, text/plain)
2015-08-19 04:10 EDT, Vojtech Trefny
no flags Details
File: blivet.log (327.41 KB, text/plain)
2015-08-19 04:10 EDT, Vojtech Trefny
no flags Details
File: description (1.44 KB, text/plain)
2015-08-19 04:10 EDT, Vojtech Trefny
no flags Details
File: environ (3.23 KB, text/plain)
2015-08-19 04:10 EDT, Vojtech Trefny
no flags Details
File: program.log (35.92 KB, text/plain)
2015-08-19 04:11 EDT, Vojtech Trefny
no flags Details

  None (edit)
Description Vojtech Trefny 2015-08-19 04:10:45 EDT
Description of problem:
1. Resize an extended partition
2. Click unfo

Version-Release number of selected component:
blivet-gui-0.3.3-2.fc23.noarch

Additional info:
reporter:       libreport-2.6.0
blivet-gui.log: 
cmdline:        /bin/python3  /usr/bin/blivet-gui
executable:     /usr/bin/blivet-gui
hashmarkername: blivet-gui
kernel:         4.2.0-0.rc0.git4.1.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Rawhide)
type:           Python
version:        Rawhide

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blivetgui/blivetgui.py", line 629, in actions_undo
    self.client.remote_call("blivet_cancel_actions", removed_actions)
  File "/usr/lib/python3.4/site-packages/blivetgui/communication/client.py", line 159, in remote_call
    raise type(ret.exception)(str(ret.exception) + "\n" + ret.traceback) # pylint: disable=maybe-no-member
ValueError: new size will not yield an aligned partition
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blivetgui/communication/server.py", line 340, in _call_utils_method
    ret = utils_method(*args)
  File "/usr/lib/python3.4/site-packages/blivetgui/blivet_utils.py", line 1253, in blivet_cancel_actions
    self.storage.devicetree.cancelAction(action)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 346, in cancelAction
    action.cancel()
  File "/usr/lib/python3.4/site-packages/blivet/deviceaction.py", line 472, in cancel
    self.device.targetSize = self.origsize
  File "/usr/lib/python3.4/site-packages/blivet/devices/storage.py", line 234, in <lambda>
    lambda s, v: s._setTargetSize(v),
  File "/usr/lib/python3.4/site-packages/blivet/devices/partition.py", line 262, in _setTargetSize
    raise ValueError("new size will not yield an aligned partition")
ValueError: new size will not yield an aligned partition
Comment 1 Vojtech Trefny 2015-08-19 04:10:48 EDT
Created attachment 1064670 [details]
File: backtrace
Comment 2 Vojtech Trefny 2015-08-19 04:10:50 EDT
Created attachment 1064671 [details]
File: blivet-gui-com.log
Comment 3 Vojtech Trefny 2015-08-19 04:10:54 EDT
Created attachment 1064672 [details]
File: blivet-gui-tb
Comment 4 Vojtech Trefny 2015-08-19 04:10:57 EDT
Created attachment 1064673 [details]
File: blivet.log
Comment 5 Vojtech Trefny 2015-08-19 04:10:58 EDT
Created attachment 1064674 [details]
File: description
Comment 6 Vojtech Trefny 2015-08-19 04:10:59 EDT
Created attachment 1064675 [details]
File: environ
Comment 7 Vojtech Trefny 2015-08-19 04:11:01 EDT
Created attachment 1064676 [details]
File: program.log
Comment 8 Vojtech Trefny 2015-08-19 05:48:00 EDT
Original problem is that blivet reads currentSize for partitions in /sys and it reports the size as 2 sectors (1 KiB).

----------
$ cat /sys/block/vdf/vdf1/size 
2
----------

ActionResizeDevice then sets the original size (before resizing) of the partition to 1 KiB.
Comment 9 Fedora Update System 2015-09-03 15:33:40 EDT
python-blivet-1.12.2-1.fc23 anaconda-23.19.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15030
Comment 10 Fedora Update System 2015-09-04 03:33:06 EDT
anaconda-23.19.2-1.fc23, python-blivet-1.12.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update anaconda python-blivet'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15030
Comment 11 Fedora Update System 2015-09-07 12:35:32 EDT
anaconda-23.19.2-1.fc23, python-blivet-1.12.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.